Class | Array
In: | yaml/rubytypes.rb
Parent: | Object

### Methods

to_yaml yaml_initialize

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/rubytypes.rb, line 106
            def to_yaml( opts = {} )
                    YAML::quick_emit( object_id, opts ) do |out|
                out.seq( taguri, to_yaml_style ) do |seq|
                    each do |x|
                        seq.add( x )
                    end
                end
            end
            end

yaml_initialize( tag, val )

[Source]

    # File yaml/rubytypes.rb, line 105
        def yaml_initialize( tag, val ); concat( val.to_a ); end

[Validate]